| Exiv2

Loading...
Searching...
No Matches
List of all members
Exiv2::Internal::Casio2MnHeader Class Reference

Header of a Casio2 Makernote. More...

`#include <makernote_int.hpp>`

Inheritance diagram for Exiv2::Internal::Casio2MnHeader:
[legend]

## Public Member Functions
Creators
| Casio2MnHeader ()
| Default constructor.
Manipulators
bool | read (const byte *pData, size_t size, ByteOrder byteOrder) override
| Read the header from a data buffer, return true if ok.
Public Member Functions inherited from Exiv2::Internal::MnHeader
virtual | ~MnHeader ()=default
| Virtual destructor.
virtual void | setByteOrder (ByteOrder byteOrder)
| Set the byte order for the makernote.
virtual size_t | baseOffset (size_t mnOffset) const
| Return the base offset for the makernote IFD entries relative to the start of the TIFF header. mnOffset is the offset to the makernote from the start of the TIFF header.

## Accessors
size_t | size () const override
| Return the size of the header (in bytes).
size_t | write (IoWrapper &ioWrapper, ByteOrder byteOrder) const override
| Write the header to a data buffer, return the number of bytes written.
size_t | ifdOffset () const override
| Return the offset to the start of the Makernote IFD from the start of the Makernote (= the start of the header).
ByteOrder | byteOrder () const override
| Return the byte order for the makernote. If the return value is invalidByteOrder, this means that the byte order of the the image should be used for the makernote.
static size_t | sizeOfSignature ()
| Return the size of the makernote header signature.

## Detailed Description

Header of a Casio2 Makernote.

## Member Function Documentation

## ◆ byteOrder()

ByteOrder Exiv2::Internal::Casio2MnHeader::byteOrder | ( |  | ) | const
| nodiscard override virtual

Return the byte order for the makernote. If the return value is invalidByteOrder, this means that the byte order of the the image should be used for the makernote.

Reimplemented from Exiv2::Internal::MnHeader.

## ◆ ifdOffset()

size_t Exiv2::Internal::Casio2MnHeader::ifdOffset | ( |  | ) | const
| nodiscard override virtual

Return the offset to the start of the Makernote IFD from the start of the Makernote (= the start of the header).

Reimplemented from Exiv2::Internal::MnHeader.

## ◆ read()

bool Exiv2::Internal::Casio2MnHeader::read | ( | const byte * | pData,
|  | size_t | size,
|  | ByteOrder | byteOrder )
| override virtual

Read the header from a data buffer, return true if ok.

Implements Exiv2::Internal::MnHeader.

References size(), and sizeOfSignature().

Referenced by Casio2MnHeader().

## ◆ size()

size_t Exiv2::Internal::Casio2MnHeader::size | ( |  | ) | const
| nodiscard override virtual

Return the size of the header (in bytes).

Implements Exiv2::Internal::MnHeader.

References sizeOfSignature().

Referenced by read().

## ◆ write()

size_t Exiv2::Internal::Casio2MnHeader::write | ( | IoWrapper & | ioWrapper,
|  | ByteOrder | byteOrder ) const
| override virtual

Write the header to a data buffer, return the number of bytes written.

Implements Exiv2::Internal::MnHeader.

References sizeOfSignature(), and Exiv2::Internal::IoWrapper::write().

The documentation for this class was generated from the following files:

- makernote_int.hpp
- makernote_int.cpp